Bug 1250964 - [RHEL7.2][google-noto-fonts][gedit] google-noto-fonts has square boxes in gedit font selection window
[RHEL7.2][google-noto-fonts][gedit] google-noto-fonts has square boxes in ged...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk3 (Show other bugs)
7.2
All Linux
medium Severity low
: rc
: 7.2
Assigned To: Benjamin Otte
Desktop QE
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 07:28 EDT by Krishna Babu K
Modified: 2015-08-20 16:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-20 16:01:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot to reference google-noto-fonts issue (169.64 KB, image/png)
2015-08-06 07:32 EDT, Krishna Babu K
no flags Details

  None (edit)
Description Krishna Babu K 2015-08-06 07:28:49 EDT
Description of problem:
While choosing google-noto-fonts in gedit's font selection window, the preview text appearing in square boxes with code values.

Version-Release number of selected component (if applicable):
google-noto-*-fonts-20130807-2.el7.noarch
gedit-3.14.3-6.el7.x86_64

How reproducible:
Always
Steps to Reproduce:
1. Open 'gedit' -> 'preferences'
2. Goto 'Font&Colors' tab and click on 'Editor font' selection menu.
3. Search for 'noto'. Preview text of listed font's is in square boxes.

Actual results:
Preview text contains square boxes with code values .

Expected results:
Preview text should not contain square boxes.

Additional info:
Screenshot attached for reference.
Comment 1 Krishna Babu K 2015-08-06 07:32:30 EDT
Created attachment 1059853 [details]
Screenshot to reference google-noto-fonts issue
Comment 3 Pravin Satpute 2015-08-10 02:47:37 EDT
This is not an issue with fonts side. But rather font-viewer side.

But thinking about Noto family. I think it will be good to use alias rather than individual fonts name. It eating complete space. 

So all Noto family fonts will use single name. "Noto Sans"
Comment 4 Jens Petersen 2015-08-11 02:34:52 EDT
I feel this might/should be better addressed first in Fedora.
Comment 5 Jens Petersen 2015-08-11 02:51:31 EDT
Moving to gtk3 based on first sentence of comment 3.
But again this is probably something that needs to be addressed
upstream in that case.
Comment 6 Matthias Clasen 2015-08-17 15:52:31 EDT
The font doesn't have coverage for the latin example text, would guess. Nothing GTK+ can magically fix. If we use fallback there, that would be misleading - you want to see how the font itself looks.
Comment 7 Matthias Clasen 2015-08-20 16:01:03 EDT
But I agree with Jens comment 4: this needs to be discussed and fixed upstream (gnome/fedora) first.

Note You need to log in before you can comment on or make changes to this bug.